Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.codehaus.groovy.groovydoc
[Java] Interface GroovyRootDoc

    org.codehaus.groovy.groovydoc.GroovyDoc
      org.codehaus.groovy.groovydoc.GroovyDocErrorReporter
          org.codehaus.groovy.groovydoc.GroovyRootDoc

All Superinterfaces:
  GroovyDoc, GroovyDocErrorReporter

    public interface GroovyRootDoc
    extends GroovyDoc, GroovyDocErrorReporter

Method Summary
`GroovyClassDoc` | `classNamed(String arg0)`
`GroovyClassDoc[]` | `classes()`
`Map` | `getVisibleClasses(List importedClassesAndPackages)`
`String[][]` | `options()`
`GroovyPackageDoc` | `packageNamed(String arg0)`
`GroovyClassDoc[]` | `specifiedClasses()`
`GroovyPackageDoc[]` | `specifiedPackages()`

Methods inherited from interface GroovyDoc
commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, name, setRawCommentText

Methods inherited from interface GroovyDocErrorReporter
printError, printNotice, printWarning

Method Detail

### classNamed

    public GroovyClassDoc classNamed(String arg0)

### classes

    public GroovyClassDoc[] classes()

### getVisibleClasses

    public Map getVisibleClasses(List importedClassesAndPackages)

### options

    public String[][] options()

### packageNamed

    public GroovyPackageDoc packageNamed(String arg0)

### specifiedClasses

    public GroovyClassDoc[] specifiedClasses()

### specifiedPackages

    public GroovyPackageDoc[] specifiedPackages()

Copyright © 2003-2010 The Codehaus. All rights reserved.